FAQ
Eric Wilhelm pointed out that the new Makefile.PL doesn't work if
ExtUtils::CBuild isn't installed, so I released version-0.651 to fix that. Then
he pointed out that the overloaded numification of version objects didn't work
in the vpp.pm (pure Perl) mode. I pointed out that it didn't work at all, and
in fact isn't supported (since version objects are not intended to be used for
math operations). Consequently, he pointed out that Module::Build's
t/moduleinfo.t will fail, so I propose the following patch:

=== t/moduleinfo.t
==================================================================
--- t/moduleinfo.t (revision 1924)
+++ t/moduleinfo.t (local)
@@ -187,7 +187,8 @@
local $SIG{__WARN__} = sub { $warnings .= $_ for @_ };
my $pm_info = Module::Build::ModuleInfo->new_from_file( $file );

- cmp_ok( $pm_info->version, '==', '1.23',
+ # Test::Builder will prematurely numify objects, so use this form
+ ok( $pm_info->version == '1.23',
"correct module version ($i of $n)" );
is( $warnings, '', 'no warnings from parsing' );
$i++;

John

--
John Peacock
Director of Information Research and Technology
Rowman & Littlefield Publishing Group
4501 Forbes Blvd
Suite H
Lanham, MD 20706
301-459-3366 x.5010
fax 301-429-5747

Search Discussions

Discussion Posts

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 1 of 33 | next ›
Discussion Overview
groupmodule-build @
categoriesperl
postedJul 18, '06 at 12:16a
activeJul 26, '06 at 7:09a
posts33
users9
websitecpan.org...

People

Translate

site design / logo © 2018 Grokbase